Package org.eclipse.cdt.core.templateengine.process

## Class ProcessParameter

- java.lang.Object
- - org.eclipse.cdt.core.templateengine.process.ProcessParameter

    public class ProcessParameter
    extends Object

ProcessParameter is responsible for construting the Process Parameter the given configuration element.

### Field Summary

Fields
`static byte` `COMPLEX`
`static byte` `COMPLEX_ARRAY`
`static byte` `SIMPLE`
`static byte` `SIMPLE_ARRAY`

### Constructor Summary

Constructors
`ProcessParameter​(org.eclipse.core.runtime.IConfigurationElement element)` Constructor to extract the parameter info.

### Method Summary

All Methods Instance Methods Concrete Methods
`ProcessParameter[]` `getComplexChildren()`
`String` `getName()` Return the Element name.
`byte` `getType()` Returns the Element Type.
`boolean` `isExternal()` Checks whether the element in external.
`boolean` `isNullable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SIMPLE

    public static final byte SIMPLE

See Also:
  Constant Field Values

#### SIMPLE_ARRAY

    public static final byte SIMPLE_ARRAY

See Also:
  Constant Field Values

#### COMPLEX

    public static final byte COMPLEX

See Also:
  Constant Field Values

#### COMPLEX_ARRAY

    public static final byte COMPLEX_ARRAY

See Also:
  Constant Field Values

### Constructor Detail

#### ProcessParameter

    public ProcessParameter​(org.eclipse.core.runtime.IConfigurationElement element)

Constructor to extract the parameter info.

Parameters:
  `element` -

### Method Detail

#### getName

    public String getName()

Return the Element name.

#### getType

    public byte getType()

Returns the Element Type.

#### getComplexChildren

    public ProcessParameter[] getComplexChildren()

Returns:
  the complexChildren

#### isExternal

    public boolean isExternal()

Checks whether the element in external.

#### isNullable

    public boolean isNullable()

Returns:
  the nullable